Bug 1022082 - [abrt] mate-utils-1.6.0-3.fc19: handle_error: Process /usr/bin/mate-screenshot was killed by signal 5 (SIGTRAP)
[abrt] mate-utils-1.6.0-3.fc19: handle_error: Process /usr/bin/mate-screensho...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:c5a124f2b87f79c0554d7a6caef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 11:40 EDT by nadersalehi1
Modified: 2013-11-10 01:06 EST (History)
4 users (show)

See Also:
Fixed In Version: mate-utils-1.6.0-9.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 23:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.25 KB, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: core_backtrace (1.86 KB, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: dso_list (7.57 KB, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: environ (2.43 KB, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-22 11:40 EDT, nadersalehi1
no flags Details
File: maps (40.69 KB, text/plain)
2013-10-22 11:41 EDT, nadersalehi1
no flags Details
File: open_fds (525 bytes, text/plain)
2013-10-22 11:41 EDT, nadersalehi1
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-10-22 11:41 EDT, nadersalehi1
no flags Details
File: var_log_messages (289 bytes, text/plain)
2013-10-22 11:41 EDT, nadersalehi1
no flags Details
File: xsession_errors (312 bytes, text/plain)
2013-10-22 11:41 EDT, nadersalehi1
no flags Details

  None (edit)
Description nadersalehi1 2013-10-22 11:40:39 EDT
Description of problem:
Steps needed to reliably reproduce the bug on my system:

* Open "Take Screenshot"
* Select "Grab the current window"
* Click on "Take Screenshot"

Version-Release number of selected component:
mate-utils-1.6.0-3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        mate-screenshot --interactive
crash_function: handle_error
executable:     /usr/bin/mate-screenshot
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
uid:            32535

Truncated backtrace:
Thread no. 1 (7 frames)
 #4 handle_error at xcb_io.c:213
 #6 XQueryTree at QuTree.c:46
 #7 find_wm_window at screenshot-utils.c:530
 #8 screenshot_get_pixbuf at screenshot-utils.c:687
 #9 check_file_done at mate-screenshot.c:818
 #10 mainloop_proxy_func at gioscheduler.c:204
 #15 gtk_main at gtkmain.c:1257

Potential duplicate: bug 908979
Comment 1 nadersalehi1 2013-10-22 11:40:43 EDT
Created attachment 815067 [details]
File: backtrace
Comment 2 nadersalehi1 2013-10-22 11:40:46 EDT
Created attachment 815068 [details]
File: cgroup
Comment 3 nadersalehi1 2013-10-22 11:40:48 EDT
Created attachment 815069 [details]
File: core_backtrace
Comment 4 nadersalehi1 2013-10-22 11:40:52 EDT
Created attachment 815070 [details]
File: dso_list
Comment 5 nadersalehi1 2013-10-22 11:40:55 EDT
Created attachment 815071 [details]
File: environ
Comment 6 nadersalehi1 2013-10-22 11:40:59 EDT
Created attachment 815072 [details]
File: limits
Comment 7 nadersalehi1 2013-10-22 11:41:07 EDT
Created attachment 815073 [details]
File: maps
Comment 8 nadersalehi1 2013-10-22 11:41:11 EDT
Created attachment 815074 [details]
File: open_fds
Comment 9 nadersalehi1 2013-10-22 11:41:14 EDT
Created attachment 815075 [details]
File: proc_pid_status
Comment 10 nadersalehi1 2013-10-22 11:41:17 EDT
Created attachment 815076 [details]
File: var_log_messages
Comment 11 nadersalehi1 2013-10-22 11:41:20 EDT
Created attachment 815077 [details]
File: xsession_errors
Comment 12 Wolfgang Ulbrich 2013-10-22 14:37:29 EDT
confirmed and forward to upstream.
https://github.com/mate-desktop/mate-utils/issues/39
Comment 13 Fedora Update System 2013-10-22 16:47:11 EDT
mate-utils-1.6.0-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-utils-1.6.0-9.fc19
Comment 14 Fedora Update System 2013-10-22 16:47:20 EDT
mate-utils-1.6.0-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-utils-1.6.0-9.fc20
Comment 15 Fedora Update System 2013-10-22 16:47:30 EDT
mate-utils-1.6.0-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-utils-1.6.0-9.fc18
Comment 16 Fedora Update System 2013-10-23 13:32:26 EDT
Package mate-utils-1.6.0-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-utils-1.6.0-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19774/mate-utils-1.6.0-9.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-10-31 23:52:23 EDT
mate-utils-1.6.0-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-10-31 23:56:43 EDT
mate-utils-1.6.0-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-10 01:06:07 EST
mate-utils-1.6.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.